All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.models
Interface StaticTreeNodeStyleInterface

    public interface StaticTreeNodeStyleInterface

Defines an interface for accessing a tree's relational types and styles. In addition this interface provides a means for the model to provide a default NodeStyle for the nodes of a tree. This will usually be implemented in tandem with the primary interface to trees, TreeInterface.

A relational or named type is an implementation defined string which serves to categorize a tree node. Nodes which share a common type are considered to be related. For example, the nodes in a hierarchy representing an organizational chart may be categorized as "full" for full time employess and "parttime" for part-time employees.

A relational style is a set of properties that are associated with a specific type. An implementation need not return anything for the styles. A view can use the type information to provide type-based traffic-lighting. For example, a view can allow a user to specify that nodes of type "full" should be colored blue while nodes of type "parttime" should be colored red.

If the set of types changes, the implementation should create and send an appropriate PropertyChangeEvent to all PropertyChangeListeners.

See Also:
  `NodeStyle`

Method Summary
`abstract StaticPropertyBagInterface` | `getDefaultNodeStyle()` Returns the default node style for all nodes.
`abstract java.lang.String[]` | `getNodeTypes()` Returns the complete set of node types.
`abstract StaticPropertyBagInterface` | `getNodeTypeStyle(java.lang.String type)` Returns the style associated with a given node type.
`abstract StaticPropertyBagInterface[]` | `getNodeTypeStyles()` Returns the complete set of styles associated with node types.

Method Detail

### getDefaultNodeStyle

    StaticPropertyBagInterface getDefaultNodeStyle()

  Returns the default node style for all nodes.

  Returns:
    A StaticPropertyBagInterface or `null`.

### getNodeTypeStyle

    StaticPropertyBagInterface getNodeTypeStyle(java.lang.String type)

  Returns the style associated with a given node type.

  Parameters:
    `type` - One of the types returned by `getNodeTypes()`.
  Returns:
    A StaticPropertyBagInterface or `null`.
  See Also:
    `getNodeTypes()`

### getNodeTypes

    java.lang.String[] getNodeTypes()

  Returns the complete set of node types.

  Use NodeInterface.getNodeType() to determine the type for a particular node.

  Returns:
    Null, or a string array of all the possible cell types.
  See Also:
    `getNodeTypeStyles()`

### getNodeTypeStyles

    StaticPropertyBagInterface[] getNodeTypeStyles()

  Returns the complete set of styles associated with node types.

  Returns:
    `null`, or a StaticPropertyBagInterface array ordered such that there is a one-to-one correspondence between its elements and the elements of the array returned by `getNodeTypes`. Individual array elements may be `null`.
  See Also:
    `getNodeTypes()`, `getNodeTypeStyle(java.lang.String)`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.